Resolution: Product Issue Opened FAQ Links:  

Description

Supportanfrage

Uns ist aufgefallen, dass die visualisierten Objekte nicht die korrekten Abmessungen haben.

Evrim hat das Problem eingegrenzt.

Im Screenshot ist der Code vom cObjectMixin (Examples der Display-Toolbox) zu sehen.

Die von uns modifizierten Zeilen sind grün markiert.

Wir haben eine Box ergänzt, dessen Abmessungen mit GetSize und auch im Panel korrekt angezeigt werden.

Im gerenderten Bild wird jedoch ein Würfel (= falsche Abmessungen) dargestellt.

Was machen wir falsch?
Lösung

ADISTB-971 erstellt

History

#1 - 2019-04-17 11:15 - hidden

- Project changed from Public Support to 11

- Status changed from New to In Progress

- Topic set to DisplayTB::Common

- Customer set to AUDI

- Affected Products ADTF Display Toolbox 3.3.0 added

- Platform Windows 7 64bit added

Hallo Sebastian:

Kannst Du bitte einen Blick auf das Problem werfen?

Kannst Du hier evtl helfen?

#2 - 2019-04-17 13:40 - hidden

- Topic changed from DisplayTB::Common to DisplayTB::3DSceneDisplay

#3 - 2019-04-17 13:42 - hidden

Im Code konnte ich jetzt nichts Offensichtliches feststellen, da wird alles an native OSG Befehle durchgereicht.

Ich leite das Ticket mal an den Autor der Mixin-Library weiter

#4 - 2019-04-25 08:52 - hidden

Markus muss natürlich erst aus dem Urlaub kommen...
#5 - 2019-04-30 09:05 - hidden

- Status changed from In Progress to Customer Feedback Required

- Resolution set to Product Issue Opened

- Product Issue Numbers set to ADISTB-971

Das Verhalten von SetSize ist nicht richtig implementiert.

Ich konnte es auch durch Einbau in das coordsystemmixin Example nachstellen.

Zum Lösen des Problems wurde ein Ticket für die Display TB erstellt.

#6 - 2019-05-03 15:07 - hidden

- Product Issue Numbers changed from ADISTB-971 to https://www.cip.audi.de/jira/browse/ADISTB-971

#7 - 2019-05-06 15:32 - hidden

- Project changed from 11 to Public Support

- Subject changed from adtf-display-toolbox 3.3.0 Mixins: cBaseObject::SetSize doesn't work correctly to cBaseObject::SetSize in Mixin Library does

not work correctly

- Description updated

- Status changed from Customer Feedback Required to To Be Closed

- Private changed from Yes to No

- Support Level changed from 2nd Level to 3rd Level

#8 - 2020-07-07 12:44 - hidden

- Status changed from To Be Closed to Closed
